Search the Community
Showing results for tags 'textstyles'.
-
Merge Dimstyle & Text style after removing of binding prefix $0$
nababeer posted a topic in AutoLISP, Visual LISP & DCL
Hi there, I am using this lisp to remove binding Prefix from dimstyle name and textstyle name as well. After removing prefix some style names are matching existing names and that cancelling the renaming process. I need someone to modify this lisp (I don't know the developer name) to merge the style if its name after removing prefix will be typically matching other name of an existing style. Please help ! I googled this issue hundreds of times and i didn't find ! (defun c:RBP(/ ActDoc Name NewName) (vl-load-com) (defun RemoveBindPrefix (String / Pos LastPos) (if (setq Pos (vl-string-search "$" String)) (progn (setq LastPos Pos) (while (setq Pos (vl-string-search "$" String (1+ Pos))) (setq LastPos Pos) ) (substr String (+ 2 LastPos)) ) String ) ) (vlax-for Obj (vla-get-TextStyles ActDoc) (setq Name (vla-get-Name Obj)) (if (/= (setq NewName (RemoveBindPrefix Name)) Name) (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-Name (list Obj NewName))) (prompt (strcat "\n Text style: " Name " was not renamed.")) ) ) ) (vlax-for Obj (vla-get-DimStyles ActDoc) (setq Name (vla-get-Name Obj)) (if (/= (setq NewName (RemoveBindPrefix Name)) Name) (if (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-Name (list Obj NewName))) (prompt (strcat "\n Dimension style: " Name " was not renamed.")) ) ) ) (princ) ) -
This macro is something I use as a 'trained monkey'. I know what it does and how to use it but now I want to alter it and most of it is Greek to me. By elimination it seems "textsz" changes the current textstyle to a different style. The alteration I want to make is to stop the macro changing the textstyle. (progn(setq scl 1)(setq scfac 1)(textsz)(dimsz)(ltscl)(prompt"Scale has been set to 1:1000")(setvar "modemacro" " : Scale is 1:1000 .")(princ)) How would this be happenning, or is it something our long since gone Acad expert setup to make our lives easier? This is my first post and ask for gentle chastisements if I've done something wrong Cheers Doug
-
How to control lineweight i dimension?
jrn posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
When drawing in .stb-file (with layer dependent plot style, plotting in monochrome) and when Dimension Text Style is set to Romans (must not be changed), then how to change line weight of Lines and Text separately? Please help. Thanks.- 3 replies
-
- lineweight
- dimension style
-
(and 2 more)
Tagged with:
-
hi i'm changing all text inside dwg from textstyle to another one using vba and it works great, so when you see any text properties, you find the style of this text is the new one. when i'm removing the old textstyle,a msg appear that this style is in use. when i make a selection to all texts filtered by the old textstyle,the result appear that all text are selected even if they have a different style in their properties. so i guess the old textstyle have a linked but i don't know how. the result i need is to remove all texts to another style and delete the old textstyle thks